[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#594167: menu update regression, does not recognize entries

On Tue, Aug 24, 2010 at 05:37:49PM +0900, Norbert Preining wrote:
> Package: menu
> Version: 2.1.43
> Severity: normal
> Since some time the menu trigger produces more and more warnings of the
> type:
> 	warning, in file '/var/lib/dpkg/updates/0000' near line 5 package 'python-cupshelpers':
> 	 missing description
> 	warning, in file '/var/lib/dpkg/updates/0000' near line 5 package 'python-cupshelpers':
> 	 missing maintainer
> and so on.
> Interestingly these packages do NOT ship any menu file ... so I have no
> idea where this is coming from, but it looks quite wrong.
> Esp. since it happened with one of my packages, too (afair) and I didn't
> change anything in the menu file since ages.
> Can the maintainers please enlighten me, thanks.

Assuming this is indeed caused by update-menus, then I would assume that the
warning is output by the call to dpkg-query:

dpkg-query --show --showformat="\${status} \${provides} \${package}\n"

Maybe there is a bad interaction with some other triggers that cause dpkg-query
to report a warning.

I CCed the dpkg maintainers.

Bill. <ballombe@debian.org>

Imagine a large red swirl here. 

Reply to: